@import 'variables';

.correction {
  display: flex;
  justify-content: center;
  padding: 80px;
  &__permeability {
    width: 100%;
    display: flex;
    justify-content: center;
  }
  &__title {
    font-size: 20px;
    font-weight: bold;
    margin: 20px;
  }
  &__main-block {
    width: 50%;
    & ::ng-deep .mat-form-field-wrapper {
      padding: 0 0 0 0;
    }
    & ::ng-deep .mat-form-field-underline {
      display: none;
    }
    & mat-panel-title {
      font-weight: bold;
    }
    & mat-expansion-panel {
      box-shadow: none;
      background-color: transparent;
      border-top: 1px solid rgba($default-border-color, 0.5);
    }
    & ::ng-deep .mat-expansion-indicator::after {
      padding: 0;
      border-width: 5px 5px 5px 5px;
      border-color: $primary-color $primary-color transparent transparent;
      transform: rotate(135deg);
    }
    & ::ng-deep .mat-input-element:disabled {
      color: $default-text-color;
    }
  }
  &__value {
    font-size: 50px;
    text-align: center;
    margin: 20px 0 0;
    &:focus {
      color: $secondary-color;
    }
  }
  &__input {
    width: 50%;
    align-self: center;
    padding-left: 10px;
  }
  &__unit {
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    margin: 0 0 20px;
  }
  &__status {
    font-size: 12px;
    color: $gray-medium;
    margin: 0 20px;
  }
  &__reset {
    position: absolute;
    bottom: -30px;
    font-size: 14px;
    font-weight: bold;
    color: $primary-color;
    cursor: pointer;
    &:hover {
      color: $secondary-color;
    }
  }
}

.permeability {
  display: flex;
  flex-direction: column;
  border: 1px solid rgba($default-border-color, 0.5);
  border-radius: 8px;
  margin: 10px;
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.1);
}

.pmean {
  @extend .permeability;
  position: relative;
  &__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
  }
  &__title {
    margin: 0 20px;
  }
  &__body {
    display: flex;
    flex-direction: column;
  }
}

.klinkenberg {
  position: relative;
  width: 30%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  border-radius: 8px;
  margin: 10px;
  background-color: rgba($gray-medium, 0.1);
  &__header {
    position: absolute;
    left: 0;
    top: 0;
  }
  &__title {
    margin: 20px 20px 0;
  }
  &__copy {
    position: absolute;
    bottom: 0;
    right: 0;
    color: $gray-medium;
    font-size: 22px;
    margin: 0 15px 15px 0;
    &:hover {
      cursor: pointer;
      color: $primary-color;
    }
  }
}

::ng-deep .klinkenberg__tooltip.mat-tooltip {
  background-color: $white;
  color: $gray-dark;
  font-size: 14px;
  box-shadow: 0px 3px 10px 0px $gray-light;
  margin: 0px 0px 15px 0px;
  padding: 10px 10px 10px 10px;
  border-radius: 8px;
  overflow: inherit;
  &:after {
    display: block;
    position: absolute;
    left: calc(50% - 6px);
    content: '';
    width: 12px;
    height: 12px;
    border: 6px solid $white;
    border-color: $white $white transparent transparent;
    transform: rotate(135deg);
    box-shadow: 5px -5px 10px -1px $gray-light;
  }
}

.mat-slider {
  width: 100%;
  ::ng-deep .mat-slider-wrapper {
    height: 4px;
    margin: 0 20px;
  }
  ::ng-deep .mat-slider-track-wrapper {
    height: 4px;
  }
  ::ng-deep .mat-slider-track-background {
    height: 4px;
  }
  ::ng-deep .mat-slider-track-fill {
    height: 4px;
    background-color: $secondary-color;
  }
  ::ng-deep .mat-slider-thumb {
    transform: scale(1);
    width: 20px;
    height: 25px;
    background-color: $secondary-color;
    border: 2px solid $white-text-color;
    box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.4);
    border-radius: 4px;
    &:hover {
      border: 2px solid $white-text-color;
    }
  }
}

::ng-deep .mat-slider-min-value:not(.mat-slider-thumb-label-showing).cdk-focused .mat-slider-thumb {
  border: 2px solid $white-text-color;
}
::ng-deep .mat-slider-min-value:not(.mat-slider-thumb-label-showing):hover .mat-slider-thumb {
  border: 2px solid $white-text-color;
}
::ng-deep .mat-slider-min-value:not(.mat-slider-thumb-label-showing).cdk-focused .mat-slider-thumb {
  border: 2px solid $white-text-color;
}
